#
# RPM spec file for Peter Samuel's tai64nunix package. based on Dan
# Bernstein's daemontools package.
#
# $Id: tai64nunix.spec,v 1.2 2001/02/06 17:43:53 peters Exp $
#
Summary: Converts tai64n timestamps to Unix epoch timestamps
%define name tai64nunix
Name: %{name}
%define version 0.70
%define release 03
Version: %{version}
Release: %{release}
Copyright: Peter Samuel - based on code by Daniel J. Bernstein
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
URL: http://cr.yp.to/daemontools.html
Patch0: %{name}-%{version}.patch.2001020600
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: tai64nunix
AutoReqProv: no

%description
The multilog program shipped with daemontools uses tai64n timestamps.
qmailanalog expects timestamps in Unix epoch format. tai64nunix
converts tai64n timestamps to Unix epoch timestamps.

%changelog
* Tue Feb 6 2001 Peter Samuel <peters@e-smith.com>
- [0.70-03]
- Now installs in its own root area prior to creating binary RPM.

* Thu Aug 17 2000 Peter Samuel <peters@e-smith.com>
- [0.70-2]
- added patch to change default install location

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the installed files or
# their final installed locations.

%patch0 -p1

# Create the relative installation directory.

mkdir -p ./root/usr

%build
make

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/local/bin/tai64nunix
